<html lang="en">
<head>
    <meta charset="UTF-8"/>
    <meta name="viewport" content="width=device-width, height=device-height, initial-scale=1.0"/>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <style>
        header {
          background: rgb(255, 177, 45);
        }
        .footer-li {
          display: inline;
        }
        .footer-li:not(:first-child):before {
          content: "·";
          margin-right: 0.25rem !important;
          margin-left: 0.25rem !important;
          color: dark;
        }
        .footer-link {
          text-decoration: none;
          color: black;
        }
        .footer-link:hover {
          text-decoration: underline;
          color: grey;
        }
    </style>
</head>
<body style="min-height: 100vh" class="d-flex flex-column">
    <header
        class="navbar border-bottom border-secondary"
      >
        <nav class="container-xxl text-light">
          <a
            class="navbar-brand text-white d-flex align-items-center"
            href="${settings.ui_uri}"
          >
            <img
              src="https://gitlab.ub.uni-bielefeld.de/cmg/clowm/clowm-ui/-/raw/c7973fe9c8634037c8585415ea9ab8e94d00cf51/src/assets/images/clowm.svg"
              alt="CloWM Icon"
              width="32"
              height="32"
              class="d-inline-block align-text-top me-2"
            />
            CloWM
          </a>
        </nav>
    </header>
    <div class="container-xxl mt-3 flex-grow-1 py-2">
        ${self.body()}
    </div>
    <footer class="navbar p-2">
        <nav class="container-xxl bd-gutter justify-content-center">
          <ul class="m-0 p-0">
            <li class="footer-li">
              <a class="footer-link" href="${settings.ui_uri}imprint">Imprint</a>
            </li>
            <li class="footer-li">
              <a class="footer-link" href="${settings.ui_uri}privacy">Privacy</a>
            </li>
            <li class="footer-li">
              <a class="footer-link" href="${settings.ui_uri}terms">Terms</a>
            </li>
            <li class="footer-li">
              <a class="footer-link" href="https://gitlab.ub.uni-bielefeld.de/cmg/clowm">GitLab</a>
            </li>
          </ul>
        </nav>
  </footer>
</body>
</html>
